Workspace Group
The details of a Group resource.
Group object
The details of a Group resource.
- account_idstringBetaOutput only
The parent account ID for group in Databricks.
- group_idstringBetaOutput only
Internal group ID of the group in Databricks.
- external_idstringBeta
ExternalId of the group in the customer's IdP.
- group_namestringBeta
Display name of the group.
Get a group in the account Beta
GET
Fetches a group by its internal ID from the Databricks account that parents the calling workspace.
API scopes: identity
Parameters
- group_idstringRequiredpath
Required. Internal ID of the group in Databricks.
Response
Returns the Group object.
List groups in the account Beta
GET
Lists the groups in the Databricks account that parents the calling workspace, returning one page per call. Supports filtering by group name or external ID.
API scopes: identity
Parameters
- page_sizeint32query
The maximum number of groups to return. The service may return fewer than this value. If not provided, defaults to 1000, which is also the maximum allowed. Requests for more than the maximum are clamped to 1000.
- page_tokenstringquery
A page token, received from a previous ListGroups call. Provide this to retrieve the subsequent page.
- filterstringquery
Optional. Allows filtering groups by group name or external id.
Response
Returns a list of Group objects.
Create a group in the account Beta
POST
Creates a local group in the Databricks account that parents the calling workspace and returns the created group. A local group is one that is not synced from the customer's identity provider, and can be created whether or not Account Identity Management (AIM) is enabled.
When AIM is enabled, supplying an external ID returns an error. To provision the identity from your identity provider, resolve it by its external ID with ResolveGroup; to read an existing external identity, use the ExternalGroup resource.
API scopes: identity
Request body
Required. Group to be created in Databricks
- external_idstring
ExternalId of the group in the customer's IdP.
- group_namestring
Display name of the group.
Response
Returns the Group object.
Update a group in the account Beta
PATCH
Updates an existing group in the Databricks account that parents the calling workspace. Only the fields named in the update mask are modified. Returns the updated Group resource.
When AIM is enabled and the group is an external identity (its external_id is set), only external_id can be updated; its other fields are sourced from your identity provider.
API scopes: identity
Parameters
- group_idstringRequiredpath
Required. Internal ID of the group in Databricks.
- update_maskstringRequiredquery
Optional. The list of fields to update.
Request body
Required. Group to be updated in Databricks
- external_idstring
ExternalId of the group in the customer's IdP.
- group_namestring
Display name of the group.
Response
Returns the Group object.
Delete a group in the account Beta
Resolve an external group in the Databricks account Beta
POST
Resolves a group with the given external ID from the customer's IdP. If the group does not exist, it will be created in the account. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.
API scopes: identity
Request body
- external_idstringRequired
Required. The external ID of the group in the customer's IdP.
Response
- groupobject
The group that was resolved.
Show child attributesHide child attributes
- account_idstringOutput only
The parent account ID for group in Databricks.
- group_idstringOutput only
Internal group ID of the group in Databricks.
- external_idstring
ExternalId of the group in the customer's IdP.
- group_namestring
Display name of the group.